summaryrefslogtreecommitdiff
path: root/dev-ruby/webrobots
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-ruby/webrobots
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-ruby/webrobots')
-rw-r--r--dev-ruby/webrobots/metadata.xml23
-rw-r--r--dev-ruby/webrobots/webrobots-0.1.2-r2.ebuild33
2 files changed, 45 insertions, 11 deletions
diff --git a/dev-ruby/webrobots/metadata.xml b/dev-ruby/webrobots/metadata.xml
index dc2b266475d2..1f807ddb292b 100644
--- a/dev-ruby/webrobots/metadata.xml
+++ b/dev-ruby/webrobots/metadata.xml
@@ -1,12 +1,13 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>ruby@gentoo.org</email>
- <name>Gentoo Ruby Project</name>
- </maintainer>
- <upstream>
- <remote-id type="rubygems">webrobots</remote-id>
- <remote-id type="github">knu/webrobots</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">webrobots</remote-id>
+ <remote-id type="github">knu/webrobots</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/webrobots/webrobots-0.1.2-r2.ebuild b/dev-ruby/webrobots/webrobots-0.1.2-r2.ebuild
new file mode 100644
index 000000000000..0a5a75709837
--- /dev/null
+++ b/dev-ruby/webrobots/webrobots-0.1.2-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library to help write robots.txt compliant web robots"
+HOMEPAGE="https://github.com/knu/webrobots"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.4.4"
+
+ruby_add_bdepend "test? ( dev-ruby/shoulda dev-ruby/test-unit:2 dev-ruby/webmock dev-ruby/vcr )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/,/end/d' Rakefile test/helper.rb || die
+
+ # Avoid tests for live websites requirering a network connection.
+ sed -i -e '/robots.txt in the real world/,/^ end/ s:^:#:' test/test_webrobots.rb || die
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 -Ilib test/test_*.rb
+}